Bug 1929567 - Please build assimp for EPEL 8
Summary: Please build assimp for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: assimp
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-17 07:42 UTC by Scott K Logan
Modified: 2021-03-23 01:52 UTC (History)
2 users (show)

Fixed In Version: assimp-5.0.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-23 01:52:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott K Logan 2021-02-17 07:42:34 UTC
Description of problem:
The assimp package is built for EPEL 7, but there is no build for EPEL 8. Please build assimp for EPEL 8.


Additional info:
Now that irrlicht has gone stable, the dependencies are met to build the current rawhide branch of assimp against EPEL 8. The one modification I made to the spec file was to drop the dependency on pkgconfig(ILUT), which doesn't appear to be used any longer.

It might be worth updating to a newer major version of assimp prior to introducing the package, since it's harder to perform major bumps in EPEL than Fedora.

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=62136278

Comment 1 Rich Mattes 2021-02-22 18:51:00 UTC
Branch requested: https://pagure.io/releng/fedora-scm-requests/issue/32264

Comment 2 Fedora Update System 2021-03-08 02:03:00 UTC
FEDORA-EPEL-2021-5e7146d746 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5e7146d746

Comment 3 Fedora Update System 2021-03-08 20:31:56 UTC
FEDORA-EPEL-2021-5e7146d746 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5e7146d746

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-03-23 01:52:45 UTC
FEDORA-EPEL-2021-5e7146d746 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.